commit:     cf5f7fc414eb31adf2397e0780ec0215cb6a7fa7
Author:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
AuthorDate: Fri Oct  2 08:35:27 2020 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Fri Oct  2 08:35:27 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cf5f7fc4

dev-libs/serd: bump to 0.30.6

Bug: https://bugs.gentoo.org/707064
Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>

 dev-libs/serd/Manifest           |  1 +
 dev-libs/serd/serd-0.30.6.ebuild | 53 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-libs/serd/Manifest b/dev-libs/serd/Manifest
index fb1dc612161..6408219cff5 100644
--- a/dev-libs/serd/Manifest
+++ b/dev-libs/serd/Manifest
@@ -1,2 +1,3 @@
 DIST serd-0.30.2.tar.bz2 590337 BLAKE2B 
7b47f4f9940d9d2d37772c034c3f15801fff2bc8a058d30b40891ae900bdee3a631803e25505230a853e4beb083be4c854c627074eb89c0b23781da42fbde2d5
 SHA512 
b1e18ac883aac2a8146ee0e1de553ac2b512deba5307e5c9fa2733d9011ed0777d67790aa6527e73b3f11c9da0d8c9a98227457bb412897296f4464228cac0f7
 DIST serd-0.30.4.tar.bz2 605441 BLAKE2B 
6b9b561db04a612d04726f29b1b56f535b9af57b7cbcf521c2a6afdafaf63b2ff4a205015d2f4c20bf48340348edda586dfed4a7cff24c57363b0f218d185609
 SHA512 
4cc032f826d891213c6db787b10a41ffb8f4b2a3357ffa536e34013755dc34db7109d1b42f550a0d559d8651f56c3a5dfb3654c3e2047ee6e609ff9a5fe803d6
+DIST serd-0.30.6.tar.bz2 609365 BLAKE2B 
35a86847642ffe806797ae8dbcd292ce26f08135edfa3b1fd39652f8964c35d73dba8f8627f32dcff399e9cddc332e5484f14a80580a32d52d93977cd9b42912
 SHA512 
db08d6c67d8627728679d0ed3770b8219a58f3eef82194ef8ba5682d3ff1f1033e2bbc8d6a1115a3fe0e32990f635c707a81ad8b4f457153fa78ff5991c9c30f

diff --git a/dev-libs/serd/serd-0.30.6.ebuild b/dev-libs/serd/serd-0.30.6.ebuild
new file mode 100644
index 00000000000..5cc979180ac
--- /dev/null
+++ b/dev-libs/serd/serd-0.30.6.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+PYTHON_REQ_USE='threads(+)'
+inherit python-any-r1 waf-utils multilib-build multilib-minimal
+
+DESCRIPTION="Library for RDF syntax which supports reading and writing Turtle 
and NTriples"
+HOMEPAGE="http://drobilla.net/software/serd/";
+SRC_URI="http://download.drobilla.net/${P}.tar.bz2";
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="doc static-libs test"
+RESTRICT="!test? ( test )"
+
+RDEPEND=""
+DEPEND="${RDEPEND}
+       ${PYTHON_DEPS}
+       doc? ( app-doc/doxygen )"
+
+DOCS=( "AUTHORS" "NEWS" "README.md" )
+
+src_prepare() {
+       sed -i -e 's/^.*run_ldconfig/#\0/' wscript || die
+       default
+       multilib_copy_sources
+}
+
+multilib_src_configure() {
+       waf-utils_src_configure \
+               --docdir=/usr/share/doc/${PF} \
+               $(multilib_native_usex doc --docs "") \
+               $(usex test --test "") \
+               $(usex static-libs --static "")
+}
+
+multilib_src_test() {
+       ./waf test || die
+}
+
+multilib_src_compile() {
+       waf-utils_src_compile
+       default
+}
+
+multilib_src_install() {
+       waf-utils_src_install
+       default
+}

Reply via email to